Bug 1553994 - [RFE] Notification for subscriptions expiring soon
Summary: [RFE] Notification for subscriptions expiring soon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Daniel Lobato Garcia
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-10 14:22 UTC by pm-sat@redhat.com
Modified: 2019-11-05 23:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:30:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:31:52 UTC
Foreman Issue Tracker 19314 None None None 2018-03-10 14:22:36 UTC

Description pm-sat@redhat.com 2018-03-10 14:22:33 UTC

The notifications drawer should show a warning when some subscription is about to expire. "expiring_soon?" defined in the subscriptions.rb code says this is 120 days before it expires.

Comment 1 pm-sat@redhat.com 2018-03-10 14:22:39 UTC
Created from redmine issue http://projects.theforeman.org/issues/19314

Comment 2 pm-sat@redhat.com 2018-03-10 14:22:44 UTC
Upstream bug assigned to dlobatog@redhat.com

Comment 4 Daniel Lobato Garcia 2018-03-13 14:33:46 UTC
The 'expire soon' time interval is now 120 days. This https://github.com/Katello/katello/pull/7234 would be a nice addition to this fix, it allows people to configure this interval. Otherwise the notification will always show up 120 days before the subscriptions are about to expire.

Comment 5 pm-sat@redhat.com 2018-03-22 22:02:02 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19314 has been resolved.

Comment 8 jcallaha 2018-09-18 17:55:06 UTC
Verified in Satellite 6.4 Snap 22.

Satellite now supports subscription expiration notifications.
Additionally, there is a new setting called "Expire soon days" that allows a user to set how many days ahead they want to be notified about an expiring subscription.

Comment 10 errata-xmlrpc 2018-10-16 15:30:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.